# manageiq_alert_profiles – Configuration of alert profiles for ManageIQ

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- The manageiq_alert_profiles module supports adding, updating and deleting alert profiles in ManageIQ.

## Requirements

The below requirements are needed on the host that executes this module.

- manageiq-client https://github.com/ManageIQ/manageiq-api-client-python/

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
alerts - |  | List of alert descriptions to assign to this profile. Required if state is "present"
manageiq_connection dictionary / required |  | ManageIQ connection configuration information.
| ca_cert path |  | The path to a CA bundle file or directory with certificates. defaults to None. aliases: ca_bundle_path
| password string |  | ManageIQ password. `MIQ_PASSWORD` env var if set. otherwise, required if no token is passed in.
| token string |  | ManageIQ token. `MIQ_TOKEN` env var if set. otherwise, required if no username or password is passed in.
| url string / required |  | ManageIQ environment url. `MIQ_URL` env var if set. otherwise, it is required to pass it.
| username string |  | ManageIQ username. `MIQ_USERNAME` env var if set. otherwise, required if no token is passed in.

validate_certs
boolean

Choices:
- no
- yes ←

Whether SSL certificates should be verified for HTTPS requests. defaults to True.
aliases: verify_ssl

name - |  | The unique alert profile name in ManageIQ. Required when state is "absent" or "present".
notes - |  | Optional notes for this profile

resource_type
-

Choices:
- Vm
- ContainerNode
- MiqServer
- Host
- Storage
- EmsCluster
- ExtManagementSystem
- MiddlewareServer

The resource type for the alert profile in ManageIQ. Required when state is "present".

state
-

Choices:
- absent
- present ←

absent - alert profile should not exist,
present - alert profile should exist,

## Examples

    - name: Add an alert profile to ManageIQ
      manageiq_alert_profiles:
        state: present
        name: Test profile
        resource_type: ContainerNode
        alerts:
          - Test Alert 01
          - Test Alert 02
        manageiq_connection:
          url: 'http://127.0.0.1:3000'
          username: 'admin'
          password: 'smartvm'
          validate_certs: False

    - name: Delete an alert profile from ManageIQ
      manageiq_alert_profiles:
        state: absent
        name: Test profile
        manageiq_connection:
          url: 'http://127.0.0.1:3000'
          username: 'admin'
          password: 'smartvm'
          validate_certs: False

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Elad Alfassa (@elad661) <ealfassa@redhat.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.